# PhasicFlow: src/phasicFlow/structuredData/pointStructure/pointStructure/pointStructureKernels.hpp File Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

pointStructureKernels.hpp File Reference
Include dependency graph for pointStructureKernels.hpp:

Go to the source code of this file.

## Namespaces

| pFlow
| pFlow::pointStructureKernels

## Functions

int32 | markDeleteOutOfBox (box domain, int32 start, int32 end, int8 deleteFlag, deviceViewType1D< realx3 > points, deviceViewType1D< int8 > flags, pointStructure::activePointsDevice activePoint, int32 &minRange, int32 &maxRange)
int32 | scanPointFlag (int32 start, int32 end, int8 activeFlag, deviceViewType1D< int8 > flags, int32 &minRange, int32 &maxRange)